<?xml version="1.0" encoding="UTF-8"?>
<TAPSPERIOD desc_thai="ตารางรอบการประเมิน" desc_eng="Appraisal Period" editcheck="true" mainhelp="TAPSPERIODHELP" referhelp="TAPSPERIODHELP" mainkey="apspeid" fieldsystem="*" deleteflag="true" config_field="">
	<FIELD>
		<APSPEID lang="A" encrypt="false" log="false" type="AutoNumber" table="TAPSPERIOD" init="1">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>period id</DESC_ENG>
			<DESC_THAI>รหัสรอบการประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Period id</ALT_ENG>
				<ALT_THAI>รหัสรอบการประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSPEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>companyid</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>companyid</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<APSID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Apstran ID</DESC_ENG>
			<RELATION>TAPSTRAN0</RELATION>
			<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Apstran Code</ALT_ENG>
				<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSID>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>300</WIDTH>
			<DESC_ENG>period detail (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียดรอบ (ไทย)</DESC_THAI>
			<REFER_LANG>EDESC</REFER_LANG>
			<COMPONENT type="Text">
				<SIZE>100</SIZE>
				<MAXSIZE>150</MAXSIZE>
				<ALT_ENG>period detail (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียดรอบ (ไทย)</ALT_THAI>
			</COMPONENT>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>300</WIDTH>
			<DESC_ENG>period detail (Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียดรอบ (อังกฤษ)</DESC_THAI>
			<REFER_LANG>TDESC</REFER_LANG>
			<COMPONENT type="Text">
				<SIZE>100</SIZE>
				<MAXSIZE>150</MAXSIZE>
				<ALT_ENG>period detail (Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียดรอบ (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EDESC>
		<PERIODSTART lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Period Start</DESC_ENG>
			<DESC_THAI>วันเริ่มต้นรอบการประเมิน</DESC_THAI>
			<COMPONENT type="calendar">
				<SIZE>6</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Period Start</ALT_ENG>
				<ALT_THAI>วันเริ่มต้นรอบการประเมิน</ALT_THAI>
				<ONBLUR>chkInputDate2(this,__periodend)</ONBLUR>
			</COMPONENT>
		</PERIODSTART>
		<PERIODEND lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Period End</DESC_ENG>
			<DESC_THAI>วันสิ้นสุดรอบการประเมิน</DESC_THAI>
			<COMPONENT type="calendar">
				<SIZE>6</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Period End</ALT_ENG>
				<ALT_THAI>วันสิ้นสุดรอบการประเมิน</ALT_THAI>
			</COMPONENT>
		</PERIODEND>
	</FIELD>
	<RELATION>
		<TAPSSTATE>
			<PARENT>TAPSPERIOD.APSPEID</PARENT>
			<PARENT>TAPSPERIOD.COMPANYID</PARENT>
			<CHILD>TAPSSTATE.APSPEID</CHILD>
			<CHILD>TAPSSTATE.COMPANYID</CHILD>
		</TAPSSTATE>
		<TAPSTRAN_SIGNATURE>
			<PARENT>TAPSPERIOD.APSPEID</PARENT>
			<PARENT>TAPSPERIOD.COMPANYID</PARENT>
			<CHILD>TAPSTRAN_SIGNATURE.APSPERIOD</CHILD>
			<CHILD>TAPSTRAN_SIGNATURE.COMPANYID</CHILD>
		</TAPSTRAN_SIGNATURE>
	</RELATION>
</TAPSPERIOD>